Bug 12699 - Слишком много зависимостей
: Слишком много зависимостей
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/decibel-audio-player)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-09-06 11:02 by
Modified: 2008-09-11 03:30 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-09-06 11:02:09
Как-то искал я мааааленький плеейр для того, чтоб играть ogg. Вот собрал на
бранче  decibel-audio-player, а он захотел:

# apt-get install decibel-audio-player-0.04-alt1.noarch.rpm
notify-python-0.1.1-alt1.i586.rpm 
Reading Package Lists... Done
Building Dependency Tree... Done
Selecting decibel-audio-player for 'decibel-audio-player-0.04-alt1.noarch.rpm'
Selecting notify-python for 'notify-python-0.1.1-alt1.i586.rpm'
The following extra packages will be installed:
  decibel-audio-player docbook-dtds evolution-data-server glib2 glib2-devel
gnome-control-center gnome-desktop
  gnome-doc-utils gnome-doc-utils-xslt gnome-filesystem gnome-media-common
gst-plugins-audio-filters gst-plugins-base
  gst-plugins-base-audio-filters gst-plugins-base-test
gst-plugins-base-video-filters gst-plugins-gconf gst-plugins-good
  gst-plugins-good-audio-filters gst-plugins-good-test
gst-plugins-good-video-filters gst-plugins-oss gst-plugins-test
  gst-plugins-video-filters gstreamer gstreamer-devel libXres libbonobo
libbonoboui libgdl libgnome libgnome-desktop
  libgnome-keyring libgnome-menus libgnomeui libgst-plugins libgtop libmetacity
libnautilus libnotify liboil
  libscrollkeeper libsoup libwnck libxklavier libxml2-devel notify-python
pkg-config python-module-dbus python-module-gst
  python-module-libxml2 python-module-mutagen python-module-pygnome-desktop
python-module-pygnome-extras
  python-module-pygobject-devel python-module-pygtk-devel rss_glx scrollkeeper
sgml-common urlview xli xscreensaver
  xscreensaver-hacks-rss_glx xulrunner yelp zlib-devel
The following packages will be upgraded
  glib2
The following NEW packages will be installed:
  decibel-audio-player docbook-dtds evolution-data-server glib2-devel
gnome-control-center gnome-desktop gnome-doc-utils
  gnome-doc-utils-xslt gnome-filesystem gnome-media-common
gst-plugins-audio-filters gst-plugins-base
  gst-plugins-base-audio-filters gst-plugins-base-test
gst-plugins-base-video-filters gst-plugins-gconf gst-plugins-good
  gst-plugins-good-audio-filters gst-plugins-good-test
gst-plugins-good-video-filters gst-plugins-oss gst-plugins-test
  gst-plugins-video-filters gstreamer gstreamer-devel libXres libbonobo
libbonoboui libgdl libgnome libgnome-desktop
  libgnome-keyring libgnome-menus libgnomeui libgst-plugins libgtop libmetacity
libnautilus libnotify liboil
  libscrollkeeper libsoup libwnck libxklavier libxml2-devel notify-python
pkg-config python-module-dbus python-module-gst
  python-module-libxml2 python-module-mutagen python-module-pygnome-desktop
python-module-pygnome-extras
  python-module-pygobject-devel python-module-pygtk-devel rss_glx scrollkeeper
sgml-common urlview xli xscreensaver
  xscreensaver-hacks-rss_glx xulrunner yelp zlib-devel
1 upgraded, 65 newly installed, 0 removed and 72 not upgraded.
Need to get 32.4MB/32.5MB of archives.
After unpacking 89.1MB of additional disk space will be used.

Если ему и правда все это надо, то ладно, будем считать, что не нашел я
маленького плейера :(

Но почему-то кажется мне, что не нужно ему столько.
------- Comment #1 From 2007-09-06 16:39:12 -------
Попробуй взять из Сизифа пакеты python-module-dbus и python-module-gst и
показывать вывод апта. Мне не нравится что тут ставятся -devel пакеты. В Сизифе
я такое чинил. Надо подумать и переложить в бранч что ли.
------- Comment #2 From 2007-09-06 22:22:29 -------
Пересобрал в бранче python-module-dbus и python-module-gst. Подключенные
репозитарии:

rpm ftp://10.1.0.6/hasher i586 hasher

rpm ftp://192.168.100.1/distrib/linux/alt-linux-branch-4.0 i586 classic
rpm ftp://192.168.100.1/distrib/linux/alt-linux-branch-4.0 noarch classic

Ставлю:

# apt-get install decibel-audio-player
Reading Package Lists... Done
Building Dependency Tree... Done
The following extra packages will be installed:
  check docbook-dtds evolution-data-server glibc glibc-devel glibc-kernheaders
gnome-control-center gnome-desktop gnome-doc-utils
  gnome-doc-utils-xslt gnome-filesystem gnome-media-common
gst-plugins-audio-filters gst-plugins-base gst-plugins-base-audio-filters
  gst-plugins-base-test gst-plugins-base-video-filters gst-plugins-gconf
gst-plugins-good gst-plugins-good-audio-filters
  gst-plugins-good-test gst-plugins-good-video-filters gst-plugins-oss
gst-plugins-test gst-plugins-video-filters gstreamer iconv
  kernel-headers-common libXres libbonobo libbonoboui libgdl libgnome
libgnome-desktop libgnome-keyring libgnome-menus libgnomeui
  libgst-plugins libgstreamer libgtop libmetacity libnautilus libnotify liboil
libscrollkeeper libsoup libstartup-notification libwnck
  libxklavier libxml2-devel notify-python python-module-dbus python-module-gst
python-module-libxml2 python-module-mutagen
  python-module-pygnome-desktop python-module-pygnome-extras rss_glx
scrollkeeper sgml-common urlview xli xscreensaver
  xscreensaver-hacks-rss_glx xulrunner yelp zlib-devel
...

Т.е. ничего не изменилось

И еще:

# apt-cache show decibel-audio-player
Package: decibel-audio-player
Section: Sound
Installed Size: 302866
Maintainer: Igor Zubkov <icesik@altlinux.org>
Version: 0.04-alt1
Pre-Depends: rpmlib(PayloadFilesHavePrefix) (<= 4.0-1),
rpmlib(CompressedFileNames) (<= 3.0.4-1)
Depends: coreutils, python2.4(base64), python2.4(cPickle), python2.4(cgi),
python2.4(dbus), python2.4(gettext), python2.4(gnomekeyring),
python2.4(gobject), python2.4(gst), python2.4(gtk), python2.4(md5),
python2.4(mutagen), python2.4(os), python2.4(pango), python2.4(pygst),
python2.4(pynotify), python2.4(re), python2.4(socket), python2.4(string),
python2.4(threading), python2.4(time), python2.4(traceback), python2.4(urllib),
python2.4(urllib2), python2.4(webbrowser)

# apt-cache show python-module-gst
Package: python-module-gst
Section: Development/Python
Installed Size: 844495
Maintainer: Vitaly Lipatov <lav@altlinux.ru>
Version: 0.10.7-alt2
Pre-Depends: rpmlib(VersionedDependencies) (<= 3.0.3-1),
rpmlib(PayloadFilesHavePrefix) (<= 4.0-1), rpmlib(CompressedFileNames) (<=
3.0.4-1)
Depends: python (= 2.4), libc.so.6(GLIBC_2.0), libc.so.6(GLIBC_2.1.3),
libc.so.6(GLIBC_2.4), libglib-2.0.so.0, libgobject-2.0.so.0,
libgstbase-0.10.so.0, libgstcontroller-0.10.so.0, libgstdataprotocol-0.10.so.0,
libgstinterfaces-0.10.so.0, libgstnet-0.10.so.0, libgstreamer-0.10.so.0,
libpython2.4.so.1.0, python2.4(gobject), python2.4(gtk), python2.4(math),
python2.4(os), python2.4(pickle), python2.4(pygtk), python2.4(random),
python2.4(time), rtld(GNU_HASH)
Provides: gst-python, python2.4-module-gst (= 0.10.7-alt2), python2.4(gst),
python2.4(gst.extend), python2.4(gst.extend.discoverer),
python2.4(gst.extend.jukebox), python2.4(gst.extend.leveller),
python2.4(gst.extend.pygobject), python2.4(gst.extend.sources),
python2.4(gst.extend.utils), python2.4(pygst), python-module-gst (=
0.10.7-alt2)

# apt-cache show python-module-dbus
Package: python-module-dbus
Section: Development/Python
Installed Size: 611690
Maintainer: Igor Zubkov <icesik@altlinux.org>
Version: 0.82.2-alt1
Pre-Depends: rpmlib(VersionedDependencies) (<= 3.0.3-1),
rpmlib(PayloadFilesHavePrefix) (<= 4.0-1), rpmlib(CompressedFileNames) (<=
3.0.4-1)
Depends: python (= 2.4), dbus, libc.so.6(GLIBC_2.0), libc.so.6(GLIBC_2.1.3),
libc.so.6(GLIBC_2.3.4), libc.so.6(GLIBC_2.4), libdbus-1.so.3,
libdbus-glib-1.so.2, libglib-2.0.so.0, python2.4(__future__),
python2.4(gobject), python2.4(inspect), python2.4(logging),
python2.4(operator),
python2.4(os), python2.4(traceback), python2.4(warnings), python2.4(weakref),
python2.4(xml), rtld(GNU_HASH)
Provides: python2.4-module-dbus (= 0.82.2-alt1), dbus-python,
python2.4(_dbus_bindings), python2.4(_dbus_glib_bindings), python2.4(dbus),
python2.4(dbus._dbus), python2.4(dbus._expat_introspect_parser),
python2.4(dbus._version), python2.4(dbus.bus), python2.4(dbus.connection),
python2.4(dbus.dbus_bindings), python2.4(dbus.decorators),
python2.4(dbus.exceptions), python2.4(dbus.glib),
python2.4(dbus.gobject_service), python2.4(dbus.lowlevel),
python2.4(dbus.mainloop), python2.4(dbus.mainloop.glib),
python2.4(dbus.proxies), python2.4(dbus.service), python2.4(dbus.types),
python2.4(dbus_bindings), python-module-dbus (= 0.82.2-alt1)

Из приведенного я не вижу, кто именно хочет xulrunner, evolution-data-server,
glibc-devel и т.д.
------- Comment #3 From 2007-09-07 07:44:33 -------
# apt-get install python-module-dbus
Reading Package Lists... Done
Building Dependency Tree... Done
The following NEW packages will be installed:
  python-module-dbus

# apt-get install python-module-gst
Reading Package Lists... Done
Building Dependency Tree... Done
The following extra packages will be installed:
  check libgst-plugins libgstreamer

Т.е. python-module-dbus и python-module-gst сами по себе ничего не тянут
------- Comment #4 From 2007-09-07 07:50:01 -------
# apt-cache show decibel-audio-player
Package: decibel-audio-player
Section: Sound
Installed Size: 302866
Maintainer: Igor Zubkov <icesik@altlinux.org>
Version: 0.04-alt1
Pre-Depends: rpmlib(PayloadFilesHavePrefix) (<= 4.0-1),
rpmlib(CompressedFileNames) (<= 3.0.4-1)
Depends: coreutils, python2.4(base64), python2.4(cPickle), python2.4(cgi),
python2.4(dbus), python2.4(gettext), python2.4(gnomekeyring),
python2.4(gobject), python2.4(gst), python2.4(gtk), python2.4(md5),
python2.4(mutagen), python2.4(os), python2.4(pango), python2.4(pygst),
python2.4(pynotify), python2.4(re), python2.4(socket), python2.4(string),
python2.4(threading), python2.4(time), python2.4(traceback), python2.4(urllib),
python2.4(urllib2), python2.4(webbrowser)

Т.к. при установке вытягивается почти половина Гнома, смотрим, что такое
gnomekeyring:

# apt-cache search gnomekeyring
python-module-pygnome-desktop - python modules for some GNOME libraries part of
the GNOME Desktop

# apt-get install python-module-pygnome-desktop 
Reading Package Lists... Done
Building Dependency Tree... Done
The following extra packages will be installed:
  check docbook-dtds evolution-data-server glibc glibc-devel glibc-kernheaders
gnome-control-center gnome-desktop gnome-doc-utils gnome-doc-utils-xslt
gnome-filesystem
  gnome-media-common gst-plugins-audio-filters gst-plugins-base
gst-plugins-base-audio-filters gst-plugins-base-test
gst-plugins-base-video-filters gst-plugins-gconf
  gst-plugins-good gst-plugins-good-audio-filters gst-plugins-good-test
gst-plugins-good-video-filters gst-plugins-oss gst-plugins-test
gst-plugins-video-filters gstreamer iconv
  kernel-headers-common libXres libbonobo libbonoboui libgdl libgnome
libgnome-desktop libgnome-keyring libgnome-menus libgnomeui libgst-plugins
libgstreamer libgtop libmetacity
  libnautilus liboil libscrollkeeper libsoup libstartup-notification libwnck
libxklavier libxml2-devel python-module-libxml2 python-module-pygnome-extras
rss_glx scrollkeeper
  sgml-common urlview xli xscreensaver xscreensaver-hacks-rss_glx xulrunner yelp
zlib-devel

Вот кто виноват. Нельзя ли его оторвать?
------- Comment #5 From 2008-06-06 16:27:59 -------
Я только что сделал вот такой chroot:
[icesik@iceberg decibel]$ hsh-run --rooter chroot/ -- rpm -qa
filesystem-2.3.3-alt1
glibc-preinstall-2.5.1-alt5
getopt-2.13-alt8
bzlib-1.0.5-alt2
libzio-0.4-alt1
libattr-2.4.41-alt1
terminfo-5.6-alt4
coreutils-6.11-alt1
libbeecrypt-2.2.0-alt6
libelf-0.131-alt1
librpm-4.0.4-alt92
rpm-4.0.4-alt92
libreadline-5.2.11-alt1
bzip2-1.0.5-alt2
common-licenses-1.3-alt1
libuuid-1.40.5-alt1
libblkid-1.40.5-alt1
libe2fs-1.40.5-alt1
e2fsprogs-1.40.5-alt1
shadow-convert-4.0.4.1-alt9
sed-4.1.5-alt2
libpcre3-7.6-alt1
control-0.7.4-alt1
passwdqc-control-1.1.0-alt0.5
pam-config-1.4.3.1-alt1
pam0_tcb-1.0.2-alt1
pam-1.0.1-alt1
pam0_mktemp-1.0.3-alt4
pam0-config-1.4.3.1-alt1
etcskel-2.0.11-alt2
gzip-1.3.5-alt4
losetup-2.13-alt8
rootfiles-alt-alt10
termutils-5.6-alt4
msulogin-0.9.1-alt4
psmisc-22.3-alt1
libwrap-7.6-alt8
nfs-utils-1.1.2-alt1
libgpm-1.20.1-alt8
procps-3.2.5-alt7
util-linux-2.13-alt8
hwclock-2.24-alt2
startup-0.9.8.19-alt1
vim-minimal-7.1.293-alt1
basesystem-sisyphus-alt17
emacs-base-0.0.7-alt1
file-4.20-alt5
libtool-common-0.2-alt3
glib2-2.16.3-alt1
rpm-build-perl-0.6.8-alt1
rpm-build-python-0.33-alt1.1
ed-0.2-alt6
autoconf-common-0.2-alt1
autoconf_2.60-2.61-alt4
automake_1.10-1.10.1-alt1
binutils-2.17.50.0.6-alt4
cpio-2.9-alt2
glibc-nss-2.5.1-alt5
glibc-gconv-modules-2.5.1-alt5
glibc-timezones-2.5.1-alt5
glibc-2.5.1-alt5
kernel-headers-common-1.1.9-alt1
gettext-tools-0.17-alt3
libtool_1.5-1.5.26-alt2
which-2.18-alt1
ca-certificates-2007.02.06-alt1
xml-common-0.6.3-alt11
shared-mime-info-0.23-alt1
setproctitle-0.3.1-alt1
crontabs-1.8-alt1
libXdmcp-1.0.2-alt1.0
libX11-1.1.4-alt4
libatk-1.22.0-alt1
libfreetype-2.3.5-alt2
libXrender-0.9.4-alt1
libXdamage-1.1.1-alt1
libXxf86vm-1.0.1-alt1
libstdc++4.1-4.1.2-alt2
libglitz-0.5.7-alt1
libpng12-1.2.27-alt1
libgpg-error-1.5-alt1
libtasn1-1.1-alt1
libjpeg-6b-alt8
libcups-1.3.7-alt2
libpango-1.20.0-alt1
libXcursor-1.1.9-alt1
libXinerama-1.0.3-alt1
libssl6-0.9.8d-alt4
libncursesw-5.6-alt4
libdbus-1.2.1-alt1
libdbus-glib-0.74-alt2
libgstreamer-0.10.19-alt2
desktop-file-utils-0.14-alt1
libgtk+2-2.12.8-alt2
python-modules-compiler-2.5.1-alt1
python-modules-2.5.1-alt1
python-modules-hotshot-2.5.1-alt1
python-modules-logging-2.5.1-alt1
python-strict-2.5.1-alt1
python-module-dbus-0.82.4-alt2.1
python-module-pygtk-2.12.1-alt1
python-module-mutagen-1.12-alt1.1
setup-2.2.11-alt1
alt-gpgkeys-0.4.11-alt1
glibc-core-2.5.1-alt5
sh-3.2.33-alt1
zlib-1.2.3-alt4
info-install-4.11-alt3
libacl-2.2.47-alt1
libtinfo-5.6-alt4
fakeroot-1.9.4-alt2
libdb4.4-4.4.20-alt2
libpopt-1.14-alt2
librpmbuild-4.0.4-alt92
altlinux-release-terminal-20071215-alt1
bash-3.2.33-alt1
chkconfig-1.3.29-alt2
diffutils-2.8.7-alt3
libdevmapper-1.02.24-alt1
libcom_err-1.40.5-alt1
libss-1.40.5-alt1
libtcb-1.0.2-alt1
nss_tcb-1.0.2-alt1
findutils-4.2.33-alt1
grep-2.5.1a-alt3
pam-config-control-1.4.3.1-alt1
libpasswdqc-1.1.0-alt0.5
libpam0-1.0.1-alt1
tcb-utils-1.0.2-alt1
pam0_userpass-1.0.2-alt2
pam0_passwdqc-1.1.0-alt0.5
shadow-utils-4.0.4.1-alt9
gawk-3.1.5-alt3
hashalot-0.3-alt1
perl-base-5.8.8-alt19
libtic-5.6-alt4
sysvinit-utils-2.86-alt2
SysVinit-2.86-alt2
service-0.5.15-alt1
portmap-6.0-alt1
mount-2.13-alt8
libncurses-5.6-alt4
udev-rules-118-alt1
libshhopt-1.1.7-alt4
module-init-tools-3.3-alt0.5.pre6
tar-1.20-alt1
vitmp-1.0-alt4
bison-runtime-2.3-alt2
libmagic-4.20-alt5
gettext-0.17-alt3
patch-2.5.9-alt3
pkg-config-0.23-alt1
python-base-2.5.1-alt1
sisyphus_check-0.8.0-alt1
alternatives-0.3.3-alt1
m4-1.4.7-alt1
automake-common-0.2-alt1
libbfd-2.17.50.0.6-alt4
bison-2.3-alt2
libgcc4.1-4.1.2-alt2
glibc-locales-2.5.1-alt5
iconv-2.5.1-alt5
glibc-utils-2.5.1-alt5
make-3.81-alt2
texinfo-4.11-alt3
time-1.7-alt1
libX11-locales-1.1.4-alt4
libxml2-2.6.32-alt1
crontab-control-1.1-alt1
vixie-cron-4.1.20060426-alt4
libXau-1.0.3-alt1
libxcb-1.1-alt4
libXfixes-4.0.3-alt1
libexpat-2.0.1-alt0.1
fontconfig-2.5.92-alt1
libdirectfb-1.1.0-alt2
libXext-1.0.4-alt1
libdrm-2.4.0-alt1
libmesa-7.0.3-alt7
libpixman-0.10.0-alt2
libcairo-1.6.4-alt3
libgcrypt-1.4.1-alt1
libgnutls-2.0.4-alt1
libtiff-3.8.2-alt1
libXft-2.1.12-alt5
libXcomposite-0.4.0-alt1
libXi-1.1.3-alt2
libXrandr-1.2.2-alt1
libgdbm-1.8.3-alt4
python-modules-curses-2.5.1-alt1
dbus-1.2.1-alt1
libcheck-0.9.5-alt7
libgst-plugins-0.10.19-alt2
libgtk+2-common-2.12.8-alt2
python-modules-email-2.5.1-alt1
python-modules-encodings-2.5.1-alt1
python-modules-xml-2.5.1-alt1
python-modules-bsddb-2.5.1-alt1
python-2.5.1-alt1
python-module-pygobject-2.14.1-alt1
python-module-pycairo-1.4.0-alt1.1
python-module-gst-0.10.10-alt2
decibel-audio-player-0.09-alt2
[icesik@iceberg decibel]$ 

Всё чисто. Никаких -devel пакетов, компиляторов и всего такого. Думаю, FIXED.
------- Comment #6 From 2008-06-06 16:30:35 -------
fixed